> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tavus.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Guardrails

> Retrieve a single guardrail by its unique identifier.


<Info>
  For AI agents, use `https://docs.tavus.io/openapi.yaml` for the full HTTP API contract.
</Info>


## OpenAPI

````yaml get /v2/guardrails/{guardrail_id}
openapi: 3.0.3
info:
  title: Tavus Developer API Collection
  version: 1.0.0
  contact: {}
servers:
  - url: https://tavusapi.com
security:
  - apiKey: []
tags:
  - name: Videos
  - name: Replicas
  - name: Voices
  - name: Conversations
  - name: Personas
  - name: Pronunciation Dictionaries
  - name: Replacements
  - name: Transcriptions
  - name: Documents
paths:
  /v2/guardrails/{guardrail_id}:
    parameters:
      - name: guardrail_id
        in: path
        required: true
        description: The unique identifier of the guardrail.
        schema:
          type: string
          example: g1234567890ab
    get:
      tags:
        - Guardrails
      summary: Get Guardrails
      description: |
        Retrieve a single guardrail by its unique identifier.
      operationId: getGuardrails
      responses:
        '200':
          description: Successfully retrieved the guardrail
          content:
            application/json:
              schema:
                type: object
                properties:
                  uuid:
                    type: string
                    example: g1234567890ab
                  guardrail_name:
                    type: string
                    example: healthcare_compliance_guardrail
                  guardrail_prompt:
                    type: string
                    example: >-
                      Never share sensitive medical information or provide
                      medical advice outside approved guidelines.
                  modality:
                    type: string
                    enum:
                      - verbal
                      - visual
                    example: verbal
                  callback_url:
                    type: string
                    example: https://your-server.com/guardrails-webhook
                  tags:
                    type: array
                    items:
                      type: string
                    example:
                      - compliance
                      - healthcare
                  app_message:
                    type: boolean
                    description: >-
                      Whether triggering this guardrail emits a real-time
                      app-message event on the conversation.
                    example: true
                  created_at:
                    type: string
                    example: '2024-01-15T10:30:00Z'
                  updated_at:
                    type: string
                    example: '2024-01-15T10:30:00Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Guardrail not found
        '401':
          description: UNAUTHORIZED
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Invalid access token
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````